import type { Ref } from 'vue';
import type { TableActionType } from '../types/table';
import { ComputedRef } from 'vue';
import type { Recordable, Nullable } from '../../typings/global';
declare type Instance = TableActionType & {
    wrapRef: Ref<Nullable<HTMLElement>>;
    getBindValues: ComputedRef<Recordable>;
    getPaginationInfo: ComputedRef<any>;
    setSearchStateSortInfo: Fn;
};
export declare function createTableContext(instance: Instance): void;
export declare function useTableContext(): Instance;
export {};
